move files to proper location
[potlatch2.git] / README.txt
index cb43cd34df0577eacb6337e9f4ed2656d307b177..d740d27c944707cb4d3981dc1dbbdae12f7aae7c 100644 (file)
@@ -8,7 +8,7 @@ Both are written in ActionScript 3. Potlatch 2.0 additionally uses the Flex fram
 
 === What you'll need ===
 
-* Flex SDK - http://www.adobe.com/products/flex/ (free, OS X/Windows/Linux)
+* Flex SDK - http://www.adobe.com/products/flex/ (free, OS X/Windows/Linux) (Use version 3 and NOT version 4 as there is a compatibility issue)
 * AS3 docs - http://livedocs.adobe.com/flash/9.0/ActionScriptLangRefV3/
 * Flash debug player - http://www.adobe.com/support/flashplayer/downloads.html
 * Basically you might as well just sell your soul to Adobe
@@ -63,6 +63,14 @@ Running:
   server) the binary must have been served from "teh internets". Run resources/server.rb to launch a local 
   server, then go to http://localhost:3333/potlatch2.html to get started (or if you're already running e.g. 
   Apache locally, feel free to use that instead.
+  
+* If you are doing offline development, you will need a rails_port install. You 
+  will need to add an OAuth application by going to 
+  http://rails-port.local/user/<username>/oauth_clients/new
+  Enter the following details (assuming the above point):
+  * Name (Required): Potlatch2 (local)
+  * Main Application URL (Required): http://localhost:3333/resources/potlatch2.html
+  And then update resources/potlatch2.html replacing the domains.
 
 === Some other stuff you might need to know ===